TScopedLock< Mutex > Class Template Reference

`#include <mia/core/parallelcxx11.hh>`

Inheritance diagram for TScopedLock< Mutex >:
[legend]

## Public Member Functions

TScopedLock & | operator= (const TScopedLock< Mutex > &other)=delete
void | release ()
| TScopedLock (const TScopedLock< Mutex > &other)=delete
| TScopedLock (Mutex &m)
| ~TScopedLock ()

## Detailed Description

template<typename Mutex>
class TScopedLock< Mutex >

Definition at line 50 of file parallelcxx11.hh.

## Constructor & Destructor Documentation

## TScopedLock() [1/2]

template<typename Mutex>

TScopedLock< Mutex >::TScopedLock | ( | Mutex & | m | ) |

inline

Definition at line 53 of file parallelcxx11.hh.

## TScopedLock() [2/2]

template<typename Mutex>

TScopedLock< Mutex >::TScopedLock | ( | const TScopedLock< Mutex > & | other | ) |

delete

## ~TScopedLock()

template<typename Mutex>

TScopedLock< Mutex >::~TScopedLock | ( |  | ) |

inline

Definition at line 62 of file parallelcxx11.hh.

## Member Function Documentation

## operator=()

template<typename Mutex>

TScopedLock & TScopedLock< Mutex >::operator= | ( | const TScopedLock< Mutex > & | other | ) |

delete

## release()

template<typename Mutex>

void TScopedLock< Mutex >::release | ( |  | ) |

inline

Definition at line 68 of file parallelcxx11.hh.

The documentation for this class was generated from the following file:

- parallelcxx11.hh